Bug 75745 - usb.usermap camera innovation should be expanded
usb.usermap camera innovation should be expanded
Product: Red Hat Linux
Classification: Retired
Component: hotplug (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-11 15:29 EDT by Linus Walleij
Modified: 2014-03-16 22:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-13 12:06:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Linus Walleij 2002-10-11 15:29:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I saw Nalin Dahyabhai's excellent idea to add a script that lifts USB cameras to
userland when plugged. This idea is applicable to more devices and should be
generalized to all non kernel driver needing userland devices that may be
plugged/unplugged during use.

Specifically I want it to work on the Nomad Jukeboxes (MP3 device) that I
develop for. They have device ID:s:

vendor: 0x0471 product: 0x0222 (Nomad Jukebox 1)
vendor: 0x041e product: 0x4101 (Nomad Jukebox 3)

They both work excellently from userland when I copy one of the camera lines in
usb.usermap and change the vendor and product ID. (Match flags = 0x0000, as the
rest of the flags.)

Please make this a generic script for userland devices and add these devices!
Comment 1 Linus Walleij 2003-04-20 17:49:20 EDT
I have now solved this problem on my RPMs by including %post and %unpost macros
that add scripts in /etc/hotplug/usb and patch the /etc/hotplug/usb.usermap file
on software installation/removal.

This is not elegant but works. In the future, I hear the newer versions of
hotplug will support application-specific hotplug-files in /etc/hotplug, and not
everything need to go into usb.usermap.

As for me, you may close this bug.

Note You need to log in before you can comment on or make changes to this bug.